%global anolis_release .0.1

Name:           deepin-font-manager
Version:        5.8.9
Release:        1%{?anolis_release}%{?dist}
Summary:        Deepin Font Manager is used to install and uninstall font file for users with bulk install function
License:        GPLv3+
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: qt5-devel
BuildRequires: qt5-qttools-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: freetype-devel

BuildRequires: dtkcommon-devel
BuildRequires: pkgconfig(dtkwidget)
BuildRequires: pkgconfig(dtkgui)
BuildRequires: pkgconfig(gsettings-qt)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(dde-file-manager)
BuildRequires: deepin-gettext-tools
BuildRequires: gtest-devel
BuildRequires: dde-file-manager-devel 

%description
%{summary}.

# %package -n %{libname}
# Summary:        %{summary}
# %description -n %{libname}
# %{summary}.
# 
# %package -n %{libname}-devel
# Summary:        %{summary}
# %description -n %{libname}-devel
# %{summary}.


%prep
%autosetup

%build
export PATH=%{_qt5_bindir}:$PATH
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")

%ifnarch i686
sed -i "s|lib/${CMAKE_LIBRARY_ARCHITECTURE}|lib64|" ./deepin-font-preview-plugin/CMakeLists.txt
%endif

mkdir build && pushd build 
%cmake -DCMAKE_BUILD_TYPE=Release ../  -DAPP_VERSION=%{version} -DVERSION=%{version} 
%make_build  
popd

%install
%make_install -C build INSTALL_ROOT="%buildroot"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/dde-file-manager/plugins/previews/libdeepin-font-preview-plugin.so
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/deepin-manual/manual-assets/application/deepin-font-manager/font-manager/*
%{_datadir}/deepin-font-manager/contents.txt


%changelog
* Tue Oct 26 2021 zhangtaikun <zhangtaikun@uniontech.com> - 5.8.9-1
- Update to 5.8.9

* Tue Apr 20 2021 zhangdingwen <zhangdingwen@uniontech.com> - 5.8.0.25-1
- init spec for euler
